<?php
// Copyright (C) 2008 - 2015 vortexbox.org
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
require_once ('libs/setup.php');

require_once('libs/avalibleLanguages.php');
require_once('libs/tzList.php');

$_action = isset($_REQUEST['action']) ? $_REQUEST['action'] : 'default';
if (isset($_REQUEST['TIMEZONE']) & !$_REQUEST['TIMEZONE'] =="") { $TIMEZONE = $_REQUEST['TIMEZONE']; }
if (isset($_REQUEST['LANGUAGE']) & !$_REQUEST['LANGUAGE'] =="") { $localeLanguage = $_REQUEST['LANGUAGE']; }
if (isset($_REQUEST['TEMPFORMAT']) & !$_REQUEST['TEMPFORMAT'] =="") { $TempFormat= $_REQUEST['TEMPFORMAT']; }
if (isset($_REQUEST['service']) & !$_REQUEST['service'] =="") { $service= $_REQUEST['service']; }

switch($_action) {

    case 'submit':
		$CurrentTimeZone = $TIMEZONE;
		if ( $TIMEZONE[0] != "-" ) {
		exec("sudo /opt/vortexbox/doaction.sh NewTZ $TIMEZONE & >/dev/null 2>&1");
		}
        break;
	case 'setlanguage':
		// Set Language
		putreg('System', 'Language', $localeLanguage);
		setlocale(LC_MESSAGES, $localeLanguage);
        break;	
	case 'Reboot':
		pclose(popen("sudo /opt/vortexbox/doaction.sh Reboot &","r"));
        break;
	case 'PowerDown':
		pclose(popen("sudo /opt/vortexbox/doaction.sh PowerDown &","r"));
        break;
	case 'SyncTime':
		pclose(popen("sudo /opt/vortexbox/doaction.sh SyncTime &","r"));
        break;
	case 'CleanLMS':
		pclose(popen("sudo /opt/vortexbox/doaction.sh CleanLMS &","r"));
        break;		
    default:
	
        break;
}

$smarty->assign('CURRENTLANGUAGE', $localeLanguage);
$smarty->assign('avalibleLanguages', $avalibleLanguages);
$smarty->assign('CURRENTTIMEZONE', $CurrentTimeZone);
$smarty->assign('tzlist', $tzlist);

$smarty->display('system.tpl');
?>